<template>
  <mt-box padding="1rem" class="mt-pop-up-activite">
    <mt-tag-button-activity
      :text="activite.typeActivite.libelle"
      :icon="activite.typeActivite.codeCssIcone"
      :tag-class="tagClass"
    />

    <div class="columns">
      <h1>{{ activite.nom }}</h1>
      <mt-pastille
        v-if="(activitesEnfants && activitesEnfants.length > 0) || activiteParent"
        class="column is-narrow mt-margin"
        is-black
        size="18px"
        ><b-icon icon="share-variant" size="is-small"></b-icon>
      </mt-pastille>
    </div>

    <mt-date-range-short
      class="is-uppercase has-text-weight-bold"
      :start="new Date(activite.dateDebut)"
      :end="new Date(activite.dateFin)"
    />

    <small>{{ activite.description }}</small>
  </mt-box>
</template>

<script>
import MtBox from '~/components/base/box';
import MtTagButtonActivity from '~/components/activity/tag-button-activity';
import MtDateRangeShort from '~/components/activity/date-range-short';
import MtPastille from '~/components/base/pastille/index';

export default {
  name: 'MtMiniPopupActivite',
  components: { MtDateRangeShort, MtTagButtonActivity, MtBox, MtPastille },
  props: {
    activite: {
      type: Object,
      required: true,
      default: () => ({}),
    },
    tagClass: {
      type: Array,
      required: true,
      default: () => [],
    },
  },
  data() {
    return {
      activiteParent: null,
      activitesEnfants: null,
    };
  },
  async created() {
    if (this.activite.idParent) {
      this.activiteParent = await this.$api.activites.getParent(this.activite.id);
    }
    this.activitesEnfants = await this.$api.activites.getEnfants(this.activite.id);
  },
};
</script>

<style scoped lang="scss">
@import '~/assets/css/_variables';

.mt-pop-up-activite {
  margin: 1rem;
  position: absolute;
  display: none;
  width: 330px;
  z-index: 100;
  font-size: 0.75rem;
  color: #3a3a3a;
  border-radius: $border-radius;
  box-shadow: 0 2px 4px -1px rgba(95, 95, 95, 0.5), 0 0 3px rgba(95, 95, 95, 0.25);

  h1 {
    color: $grey-dark;
    font-size: 1.125rem;
    font-weight: bold;
    line-height: 1.17;
    padding: 0.5em 0;
    white-space: normal;
  }

  /deep/ .mt-unit {
    font-size: 0.75rem;
  }

  /deep/ .mt-unit-parent {
    font-size: 0.75rem;

    .mdi-24px.mdi::before {
      font-size: 1.5em;
    }
  }

  /deep/ .mt-date-range {
    font-size: 0.875rem;
    color: $grey;
  }

  /deep/ .mt-type-activite {
    font-size: 0.75rem;
    margin-left: -0.5em;

    .mdi-24px.mdi::before {
      font-size: 1.5em;
    }
  }

  small {
    white-space: normal;
    font-size: 0.75rem;
    margin: 0.5em 0;
    display: inline-block;
    max-height: 4.5em;
    overflow: hidden;
    text-align: left;
    word-break: break-word;
  }
}
.mt-margin {
  margin: 1em;
}
</style>
